include:
  - https://gitlab.com/kalilinux/tools/kali-ci-pipeline/raw/master/recipes/kali.yml

variables:
  SALSA_CI_DISABLE_VERSION_BUMP: "true"
  SALSA_CI_DISABLE_BUILD_PACKAGE_ARM64: 1
  SALSA_CI_DISABLE_BUILD_PACKAGE_ARMEL: 1
  SALSA_CI_DISABLE_BUILD_PACKAGE_ARMHF: 1

tox:
  stage: test
  image: $SALSA_CI_IMAGES_BASE
  rules:
    - if: $CI_COMMIT_TAG != null && $SALSA_CI_ENABLE_PIPELINE_ON_TAGS !~ /^(1|yes|true)$/
      when: never
    - when: on_success
  before_script:
    - apt-get update
    - apt-get install -y pandoc tox
  script:
    - tox $(tox -l | grep -v unit-tests | sed -e 's/^/-e /' | tr '\n' ' ')
